Subject: Re: bug#30699: 26.0.91; buffer contents flicker on macOS frames when frames are resized

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Mar 2018 18:01:14 +0200

> From: Aaron Jensen <[email-masked]>
> Date: Sun, 4 Mar 2018 21:21:54 -0800
> Cc: Alan Third <[email-masked]>, [email-masked]
> 
> On Sun, Mar 4, 2018 at 7:27 PM, Eli Zaretskii <[email-masked]> wrote:
> > Not only is this too risky for emacs-26, I believe this change might
> > cause regressions elsewhere, in the form of leaving portions of the
> > frame not redrawn when needed.  I suggest you run with this change for
> > a few weeks and watch for redisplay problems, before concluding it's
> > okay to install it.
> 
> Interesting. I'll keep an eye out. Are there particular scenarios you
> have in mind that may trigger the issues?

Not really.  Setting the frame's garbaged flag causes a thorough
redisplay on the next opportunity, so removing that could prevent
redisplay in a variety of situations.